Bug 1507399 - pcs : update of a vm resource with remote-node returns an abnormal error [rhel-7.4.z]
Summary: pcs : update of a vm resource with remote-node returns an abnormal error [rhe...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pcs
Version: 7.4
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Ivan Devat
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On: 1502715
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-30 06:57 UTC by Oneata Mircea Teodor
Modified: 2021-03-11 16:08 UTC (History)
10 users (show)

Fixed In Version: pcs-0.9.158-6.el7_4.1
Doc Type: Bug Fix
Doc Text:
Previously, attempting to use the "pcs resource update" command to change the "remote-node" attribute failed even if the target resource already had "remote-node" configured with the same value as the new one. This caused failures in a variety of Puppet operations that automatically update node information. Now, the pcs utility is capable of changing "remote-node" in the described circumstances, which prevents the problem from occurring.
Clone Of: 1502715
Environment:
Last Closed: 2017-11-30 16:03:33 UTC
Target Upstream Version:


Attachments (Terms of Use)
proposed fix (2.36 KB, patch)
2017-10-30 12:05 UTC, Ivan Devat
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:3321 0 normal SHIPPED_LIVE pcs bug fix update 2017-11-30 20:18:46 UTC

Description Oneata Mircea Teodor 2017-10-30 06:57:36 UTC
This bug has been copied from bug #1502715 and has been proposed to be backported to 7.4 z-stream (EUS).

Comment 2 Ivan Devat 2017-10-30 12:05:45 UTC
Created attachment 1345391 [details]
proposed fix

Comment 3 Ivan Devat 2017-10-30 13:10:17 UTC
After Fix

[vm-rhel72-1 ~] $ rpm -q pcs
pcs-0.9.158-6.el7.1.x86_64

[vm-rhel72-1 ~] $ pcs resource show A
 Resource: A (class=ocf provider=heartbeat type=Dummy)
  Meta Attrs: remote-node=vm-rhel72-2
  Operations: migrate_from interval=0s timeout=20 (A-migrate_from-interval-0s)
              migrate_to interval=0s timeout=20 (A-migrate_to-interval-0s)
              monitor interval=10 timeout=20 (A-monitor-interval-10)
              reload interval=0s timeout=20 (A-reload-interval-0s)
              start interval=0s timeout=20 (A-start-interval-0s)
              stop interval=0s timeout=20 (A-stop-interval-0s)
[vm-rhel72-1 ~] $ pcs resource update A meta remote-node=vm-rhel72-2
[vm-rhel72-1 ~] $ echo $?
0
[vm-rhel72-1 ~] $ pcs resource update A meta remote-node=vm-rhel72-3
Warning: this command is not sufficient for creating a guest node, use 'pcs cluster node add-guest'
Error: 'vm-rhel72-3' already exists

Comment 8 errata-xmlrpc 2017-11-30 16:03:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:3321


Note You need to log in before you can comment on or make changes to this bug.